/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey, AccountMeta } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
import { PDAInfo } from "../pda";
export type MakeOfferAndMatchTradeParams = {
    configAccount: PublicKey;
    marketAccount: PublicKey;
    marketTokenVault: PublicKey;
    marketNativeVault: PublicKey;
    side: object;
    minTradeSize: BN;
    offerAccount: PDAInfo;
    kycCert: PublicKey;
    user: PublicKey;
    userTokenAccount: PublicKey;
    useBondless: boolean;
    remainingAccounts: AccountMeta[];
    offerQuantity: number;
    offerAmount: BN;
    fiatAmount: BN;
    tradeIds: BN[];
    bumps: number[];
    bondType: object;
};
export declare function makeOfferAndMatchTrade(program: Program<Escrow>, params: MakeOfferAndMatchTradeParams): Promise<Instruction>;
